Issue in the DXF conversion

03/10/2018 14:23 - Philippe May

Status: In Progress Start date: 03/10/2018

Priority: Normal Due date:  

Assignee: Pavneet Kaur % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Try:

- download V_ROAD_CURB (from QGis database connection)

- convert to DXF with QGis

On Pavneet's machine, Autocad, some shapes seem to be missing.

On my machine, we tried to convert the DXF back to shapefile => apparently, no issue.

History

#1 - 03/10/2018 14:24 - Philippe May

- File V_ROAD_CURB.dxf added

See attached file of the polygon layer converted to DXF with QGis 3.2, apparently without issue.

#2 - 03/10/2018 14:38 - Pavneet Kaur

not the machine, but the version of qgis creating different dxf outputs

#3 - 03/10/2018 16:02 - Philippe May

- File V_ROAD_CURB.dxf added

I quickly tried with ogr2ogr (see https://gis.stackexchange.com/questions/66417/ogr2ogr-coverting-dxf-to-shapefile-why-am-i-losing-part-of-the-feature

): there's an option for forcing the type of object.

So:

ogr2ogr -f DXF V_ROAD_CURB.dxf V_ROAD_CURB.shp -nlt MULTIPOLYGON

 

Attaching the file generated. Can you please try, Pavneet?

#4 - 03/10/2018 16:18 - Pavneet Kaur

- File Screenshot (4).png added

Tried it, the problem persists...
#5 - 04/10/2018 14:16 - Pavneet Kaur

- File curbdxfqgis2.dxf added

Used this and works fine:

Project *>* DXF export

#6 - 04/10/2018 14:17 - Pavneet Kaur

- Status changed from New to Resolved

Used this and works fine:

Project > DXF export

#7 - 04/10/2018 15:00 - Pavneet Kaur

- Status changed from Resolved to In Progress

different results using different options (symbology, symbology scale etc)

Files

V_ROAD_CURB.dxf 691 KB 03/10/2018 Philippe May

V_ROAD_CURB.dxf 457 KB 03/10/2018 Philippe May

Screenshot (4).png 349 KB 03/10/2018 Pavneet Kaur

curbdxfqgis2.dxf 3.97 MB 04/10/2018 Pavneet Kaur
